#version 430

in vec2 tex_coord;

layout(location = 0) out vec4 frag_color;

layout(location = 25) uniform sampler2D frame_tex;
layout(location = 40) uniform vec2 offset;

const vec2 invert = vec2(1,-1);
const float coeff = 0.25f;

void main(void) {
  frag_color = texture(frame_tex, tex_coord + offset) * coeff;
  frag_color += texture(frame_tex, tex_coord - offset) * coeff;
  frag_color += texture(frame_tex, tex_coord + offset * invert) * coeff;
  frag_color += texture(frame_tex, tex_coord - offset * invert) * coeff;
}