#version 430

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 uv;

layout(location = 4) uniform mat4 model_mat;

uniform mat4 lightSpaceMatrix;

void main()
{
	gl_Position = lightSpaceMatrix * model_mat * vec4(position, 1.0f);
}

/* the fragment shader is just
an empty main-function */