#version 430

in vec2 tex_coord;

layout(location = 0) out vec4 frag_color;

layout(location = 20) uniform sampler2D color_texture;
layout(location = 21) uniform vec4 color;
layout(location = 41) uniform float tex_blend;

void main(void) {
  frag_color = vec4(1, 1, 1, max(texture(color_texture, tex_coord).r, tex_blend)) * color;
}